
#ifndef _GTK_GRAPH_H_
#define _GTK_GRAPH_H_

void ggtk_set_post_refresh_handler( ggtk_env_t *genv,
 ggtk_gpointer_handler_t h, gpointer user_data);

void ggtk_call_post_refresh_handler( ggtk_env_t *genv);

G_env *ggtk_new_genv_from( G_env *ref_genv, GtkWidget *drawing_area, int width,
 int height, gboolean connect_expose);

GdkColor *ggtk_default_colormap();

int ggtk_default_colormap_size();

void ggtk_screen_size( int *width, int *height);

void clear_graphic_primitives(ggtk_env_t *genv);
void ggtk_release_genv(ggtk_env_t *genv);

void set_cursor(ggtk_env_t *genv, int x, int y, gboolean display_cursor, int width, int height);

void draw_scene_from_genv(
    GtkWidget *widget, 
    cairo_t *cr, 
    ggtk_env_t *genv, 
    int white_back,
    gboolean draw_border
);

#endif /* _GTK_GRAPH_H_ */
